<?php
    /*
    * Project:     Clan Stat
    * License:     Creative Commons - Attribution-Noncommercial-Share Alike 3.0 Unported
    * Link:        http://creativecommons.org/licenses/by-nc-sa/3.0/
    * -----------------------------------------------------------------------
    * Began:       2011
    * Date:        $Date: 2013-11-27 00:00:00 +0200 $
    * -----------------------------------------------------------------------
    * @author      $Author: SHW $
    * @copyright   2012-2013 SHW
    * @link        http://wot-news.com
    * @package     Clan Stat
    * @version     $Rev: 3.0.0 $
    *
    */
    error_reporting(E_ALL);
    ini_set("display_errors", 1);

    $begin_time = microtime(true);

    define('ROOT_DIR', dirname(__FILE__));

    //MYSQL
    include_once(ROOT_DIR.'/function/mysql.php');

    $sql = "SELECT * FROM `config`;";
    $q = $db->prepare($sql);
    if ($q->execute() == TRUE) {
        foreach($q->fetchAll() as $val){
            $config[$val['name']] = $val['value'];
        }

    } else {
        //print_r($q->errorInfo());
        $config['lang'] = 'ru';
        $config['server'] = 'ru';
        $config['error'] = '2'; // 2 - no base installed
    }

    include_once(ROOT_DIR.'/function/cache.php');
    include_once(ROOT_DIR.'/function/func_main.php');
    include_once(ROOT_DIR.'/function/rating.php');
    //Loding language pack
    foreach(scandir(ROOT_DIR.'/translate/') as $files){
        if (preg_match ("/_".$config['lang'].".php/", $files)){
            include_once(ROOT_DIR.'/translate/'.$files);
        }
    }

    $data = array();
    $links = array();
    $result = array();
    $res = array();

    $cache = new Cache(ROOT_DIR.'/cache/');
    $new = $cache->get('get_last_roster_'.$config['clan'],0);
    if($new === FALSE or empty($new)) { die('No cahced data'); }

    if($new['status'] == 'ok'){
         foreach($new['data'][$config['clan']]['members'] as $val){
            $tmp = $cache->get($val['account_id'],0,ROOT_DIR.'/cache/players/');
            if($tmp != FALSE or !empty($tmp)){
                $res[$val['account_name']] = $tmp;
            }
        }
    }
?>

